Package org.eclipse.gef.fx.nodes

# Class StraightRouter

java.lang.Object
org.eclipse.gef.fx.nodes.AbstractRouter
org.eclipse.gef.fx.nodes.StraightRouter

All Implemented Interfaces:
  `IConnectionRouter`

public class StraightRouter extends AbstractRouter
The `StraightRouter` is an `IConnectionRouter` that leaves the `Connection`'s control points untouched and only provides reference points for the `Connection`'s anchors.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.gef.fx.nodes.AbstractRouter

`AbstractRouter.ControlPointManipulator, AbstractRouter.VolatileStaticAnchor`

## Constructor Summary

Constructors
Constructor
Description
`StraightRouter()`

## Method Summary

Modifier and Type
Method
Description
`protected Point`
`getAnchoredReferencePoint(List<Point> points, int index)`
Returns the reference point for the anchor at the given index.

### Methods inherited from class org.eclipse.gef.fx.nodes.AbstractRouter

`createControlPointManipulator, getAnchorageGeometry, getConnection, insertRouterAnchors, removeVolatileAnchors, route, route, updateComputationParameters, updateComputationParameters, wasInserted`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StraightRouter

public StraightRouter()

## Method Details

### getAnchoredReferencePoint

protected Point getAnchoredReferencePoint(List<Point> points, int index)
Returns the reference point for the anchor at the given index.

Specified by:
  `getAnchoredReferencePoint` in class `AbstractRouter`
Parameters:
  `index` - The index specifying the anchor for which to provide a reference point.
  `points` - The list of `Point`s from which the `Connection` is currently constituted.
Returns:
  The reference point for the anchor at the given index within the local coordinate system of the anchored, which is the Connection's curve.